_LWP_GETPRIVATE(2)

NAME
_lwp_getprivate, _lwp_setprivate - get and set light-weight process private data

LIBRARY
libc

SYNOPSIS
#include <lwp.h>
void *
_lwp_getprivate(void);
void
_lwp_setprivate(void *ptr);

DESCRIPTION
_lwp_setprivate() stores the pointer to private data ptr in a location private to the LWP.

_lwp_getprivate() returns the pointer to private data for the LWP.

ERRORS
The _lwp_getprivate() and _lwp_setprivate() functions are always successful, and no return value is reserved to indicate an error.

SEE ALSO
_lwp_makecontext(3)

HISTORY
The _lwp_getprivate() and _lwp_setprivate() system calls first appeared in NetBSD 2.0.